#!/bin/ksh
#######################################################
# Take list of files in stdin of the form ./c12345 and
# remove all files matching ./c12345 and ./d12345*
# e.g.
#   cd /var/spool/cups
#   find . -name "c*" -ctime +7 -exec grep -l .LIS {} \; \
#   | cups_selective_rm.sh
#
# Author: Opher Shachar, 2007/12/12
#######################################################

TMP=$(mktemp -t)
if [ $? -ne 0 ]; then
  echo "Can't create temporary file $TMP"
  exit 1
fi
sed -s "s/\(.*\)\/c\(.*\)/\0 \1\/d\2\*/" >> $TMP
num=$(cat $TMP|wc -l)
echo -n "Deleting $num jobs... "
while read name; do
  #ls $name
  rm -f $name
  #echo "$name"
done < $TMP
echo "Done."
rm -f $TMP
